<style type="text/css">
    .base-city {
        font-weight: bold
    }

    .chStyle, .rStyle {
        margin: 5px 0;
    }
</style>

<?php
if (Cubix_I18n::getLang() != Cubix_Application::getDefaultLang()) {
    $lang = '/' . Cubix_I18n::getLang();
} else {
    $lang = '';
}
?>

<script type="text/javascript">
    var ajaxCities = function () {
        var c = $('#country').find(':selected'), ct = $('cities');

        ct.empty();
        $('#selected').empty();
        //$('selected-hidden').empty();

        if ($('#cityzones_wrp').length > 0) {
            $('#cityzones_wrp').css('display', 'none');
        }
        if ($('#cityzones').length > 0) {
            $('#cityzones').empty();
        }
        if ($('#selected-z').length > 0) {
            $('#selected-z').empty();
        }
        if ($('#selected-hidden-z').length > 0) {
            $('#selected-hidden-z').empty();
        }

        c.prop('disabled', 'disabled');
        ct.prop('disabled', 'disabled');

        $.ajax({
            url: '<?= $lang ?>/geography/ajax-get-cities-grouped',
            data: {country_id: c.get('value')},
            type: 'POST',
            success: function (html) {
                ct.html(html);
                c.prop('disabled', null);
                ct.prop('disabled', null);
            }
        });
    }
</script>

<?php
$_errors = array();
if (count($this->errors)) {
    $_errors = $this->errors;
}
$_errors = json_encode($_errors);
?>

<div class="c-body">
    <p class="note-info pt15"
       style="margin: 0px 0 5px 0"><?= __('mob_pv2_note_max_cities', array('CITIES_COUNT' => Cubix_Application::getById()->max_working_cities)) ?></p>
    <p class="note-info"><?= __('pv2_remaining_cities', array('count' => Cubix_Application::getById()->max_working_cities - count($this->data['cities']))) ?></p>
</div>


<form method="post" action="">
    <div class="c-body">
        <p class="step-lab"> Step 3/7</p>
        <div class="c-title"><?= __('select_cities') ?></div>

        <div class="body select-city-top">
            <div class="inner none">
                <label class="for-country" for="country"><?= __('pv2_label_country') ?></label>
                <select id="country" name="country_id" class="w_minus50px" onchange="ajaxCities()">
                    <? foreach ($this->countries as $country): ?>
                        <? if ($country->id == Cubix_Application::getById()->country_id): ?>
                            <option value="<?= $country->id ?>"<?= $country->id == Cubix_Application::getById()->country_id ? ' selected="selected"' : '' ?>><?= $country->title ?>
                                &nbsp;&nbsp;
                            </option>
                        <? endif; ?>
                    <? endforeach ?>
                </select>
                <span class="tip"
                      title="<?= __('pv2_tip_country', array('COUNTRY' => Cubix_Application::getById()->country_title)) ?>"></span>
                <div class="clear"></div>

            </div>

            <div class="select-city">
                <div class="">
                    <select name="city_id" id='base_city' class="w_minus50px">
                        <option disabled selected hidden><?= __('base_city')?></option>
                        <? foreach ($this->cities as $city): ?>
                            <option value="<?= $city->id ?>" <?= ($this->data['city_id'] == $city->id) ? 'selected="selected"':''?>>
                                <?= $city->title ?>
                            </option>
                        <? endforeach; ?>
                    </select>
                </div>
                <div class="clear"></div>
            </div>

            <div class="select-city">
                <div class="sel">
                    <select id="cities">
                        <option value="">---</option>
                        <? foreach ($this->cities as $city): ?>
                            <option value="<?= $city->id ?>"><?= $city->title ?></option>
                        <? endforeach; ?>
                    </select>
                </div>

                <div class="btn">
                    <input type="button" value="<?= __('add')?>" id="add-city"/>
                </div>
                <div class="clear"></div>

                <div>
                    <div id="locations">
                        <?php $_l = 1;
                        foreach ($this->cities as $city): ?>
                            <? $chk = false;
                            foreach ($this->data['cities'] as $_city) {
                                if ($_city['city_id'] == $city->id) {
                                    $chk = true;
                                    break;
                                }
                            }
                            if (!$chk) continue; ?>
                            <? $is_checked = ($city->id == $this->data['city_id']) ? true : false ?>
                            <div class="location <?= ($_l % 2 == 0) ? 'odd' : 'even'; ?>">
                                <div class="fleft m0">
                                    <a class="icon-remove<?= (in_array($city->id, $this->premium_cities)) ? '-disabled' : '' ?>"></a>
                                </div>

                                <label class="cit fleft ">
                                    <span><?= $city->title ?></span>
                                </label><input value="<?= $city->id ?>" name="cities[]" type="hidden">

                                <div class="clear"></div>
                            </div>
                            <?php $_l += 1; endforeach; ?>
                    </div>
                </div>
            </div>

            <div id="cityzones_wrp" <?= (!count($this->all_cityzones) || !$this->data['incall_type']) ? 'style="display: none;"' : '' ?>>

                <div class="c-title">Select your cityzone</div>

                <div id="ctz-err"></div>

                <div class="fleft">
                    <select id="cityzones" style="width: 200px; background: none">
                        <? foreach ($this->all_cityzones as $ctz): ?>
                            <option value="<?= $ctz->id ?>">[<?= $ctz->city_title ?>] <?= $ctz->title ?></option>
                        <? endforeach; ?>
                    </select>
                </div>

                <div class="fleft">
                    <input type="button" value="" id="add-cityzone"/><br/>
                </div>

                <div class="clear"></div>

                <div>
                    <div id="selected-z">
                        <? foreach ($this->all_cityzones as $ctz): ?>
                            <? $chk = false;
                            foreach ($this->data['cityzones'] as $_zone) {
                                if ($_zone['city_zone_id'] == $ctz->id) {
                                    $chk = true;
                                    break;
                                }
                            }
                            if (!$chk) continue; ?>
                            <div class="rm-ctzone"><span class="remove-cityzone" rel="<?= $ctz->id ?>"/></span><span
                                        class="ct-selected">[<?= $ctz->city_title ?>] <?= $ctz->title ?></span></div>
                        <? endforeach; ?>
                    </div>


                    <div id="selected-hidden-z" style="display: none">
                        <? foreach ($this->data['cityzones'] as $zone): ?>
                            <? if ($zone['city_zone_id'] != 0): ?>
                                <input type="hidden" class="hidden" name="cityzones[]"
                                       value="<?= $zone['city_zone_id'] ?>"/>
                            <? endif; ?>
                        <? endforeach ?>
                    </div>
                </div>

            </div>

        </div>
    </div>

    <div class="c-body">
        <div class="c-title"><?= __('pv2_section_available_for') ?> <span class="tip"
                                                                          title="<?= __('pv2_tip_available_for') ?>"></span>
        </div>

        <div class="body avail-for">
            <div class="inner " style="clear: none">
                <div class="chStyle">
                    <input id="incall" type="checkbox" name="incall"
                           value="1"<?= $this->data['incall_type'] ? ' checked="checked"' : '' ?> />
                    <label class="option" for="incall"><span><?= __('pv2_label_incall') ?></span></label>
                </div>
                <div class="pl25 incall_area" style="display: <?= $this->data['incall_type'] ? 'block' : 'none' ?>;">

                    <div class="inpStyle">
                        <input placeholder="<?= __('pv2_label_zip_code') ?>" id="zip" type="text"
                               class="txt <?= $this->data['incall_type'] ? '' : ' disabled' ?>" name="zip"
                               value="<?= $this->data['incall_type'] && $this->data['zip'] ? $this->data['zip'] : '' ?>"
                               size="25"<?= $this->data['incall_type'] ? '' : ' disabled="disabled"' ?> />
                    </div>

                    <div class="clear"></div>

                    <dl class="options-vertical">
                        <dt class="rStyle">
                            <input id="private-apartment" type="radio" name="incall_type"
                                   value="<?= AVAILABILITY_INCALL_PRIVATE_APARTMENT ?>"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_PRIVATE_APARTMENT ? ' checked="checked"' : '' ?><?= $this->data['incall_type'] ? '' : ' disabled="disabled"' ?> />
                            <label for="private-apartment"><span><?= __('pv2_label_private_apartment') ?></span></label>
                        </dt>

                        <dt class="rStyle">
                            <input id="hotel-room" type="radio" name="incall_type"
                                   value="<?= AVAILABILITY_INCALL_HOTEL_ROOM ?>"
                                <?= $this->data['incall_type'] == AVAILABILITY_INCALL_HOTEL_ROOM ? ' checked="checked"' : '' ?>
                                <?= $this->data['incall_type'] ? '' : ' disabled="disabled"' ?> />
                            <label for="hotel-room"><span><?= __('pv2_label_hotel_room') ?></span></label>
                        </dt>

                        <dt class="options-vertical ml10">
                            <select class="incall_hotel_room"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_HOTEL_ROOM ? '' : ' disabled="disabled"' ?>
                                    name="incall_hotel_room">
                                <option value="1"<?= $this->data['incall_hotel_room'] == 1 ? ' selected="selected"' : '' ?>><?= __('one'); ?> <?= __('stars'); ?></option>
                                <option value="2"<?= $this->data['incall_hotel_room'] == 2 ? ' selected="selected"' : '' ?>><?= __('two'); ?> <?= __('stars'); ?></option>
                                <option value="3"<?= $this->data['incall_hotel_room'] == 3 ? ' selected="selected"' : '' ?>><?= __('three'); ?> <?= __('stars'); ?></option>
                                <option value="4"<?= $this->data['incall_hotel_room'] == 4 ? ' selected="selected"' : '' ?>><?= __('four'); ?> <?= __('stars'); ?></option>
                                <option value="5"<?= ($this->data['incall_hotel_room'] == 5 || is_null($this->data['incall_hotel_room'])) ? ' selected="selected"' : '' ?>><?= __('five'); ?> <?= __('stars'); ?></option>
                            </select>
                        </dt>

                        <dt class="rStyle">
                            <input id="club-studio" type="radio" name="incall_type"
                                   value="<?= AVAILABILITY_INCALL_CLUB_STUDIO ?>"
                                <?= $this->data['incall_type'] == AVAILABILITY_INCALL_CLUB_STUDIO ? ' checked="checked"' : '' ?>
                                <?= $this->data['incall_type'] ? '' : ' disabled="disabled"' ?> />
                            <label for="club-studio"><span><?= __('pv2_label_club_studio') ?></span></label>
                        </dt>

                        <dt class="rStyle">
                            <input id="incall-other" type="radio" name="incall_type"
                                   value="<?= AVAILABILITY_INCALL_OTHER ?>"
                                <?= $this->data['incall_type'] == AVAILABILITY_INCALL_OTHER ? ' checked="checked"' : '' ?>
                                <?= $this->data['incall_type'] ? '' : ' disabled="disabled"' ?> />
                            <label for="incall-other"><span><?= __('pv2_label_incall_other') ?></span></label>
                            <input style="margin: 5px 0 0 25px; width: 80%;" type="text"
                                   class="txt<?= $this->data['incall_type'] == AVAILABILITY_INCALL_OTHER ? '' : ' disabled' ?>"
                                   name="incall_other" value="<?= $this->data['incall_other'] ?>"
                                   size="35"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_OTHER ? '' : ' disabled="disabled"' ?> />
                        </dt>
                    </dl>
                </div>
            </div>
            <br>

            <div class="inner" style="margin-top: 10px;">
                <div class="chStyle">
                    <input id="outcall" type="checkbox" name="outcall"
                           value="1"<?= $this->data['outcall_type'] ? ' checked="checked"' : '' ?> />
                    <label class="option" for="outcall"><span><?= __('pv2_label_outcall') ?></span></label>
                </div>
                <div class="pl25 outcall_area" style="display: <?= $this->data['outcall_type'] ? 'block' : 'none' ?>;">

                    <dl class="options-vertical">
                        <dt class="rStyle">
                            <input id="hotel-visits-1" type="radio" name="outcall_type"
                                   value="<?= AVAILABILITY_OUTCALL_HOTEL_VISITS ?>"
                                <?= $this->data['outcall_type'] == AVAILABILITY_OUTCALL_HOTEL_VISITS ? ' checked="checked"' : '' ?>
                                <?= $this->data['outcall_type'] ? '' : ' disabled="disabled"' ?> />
                            <label for="hotel-visits-1"><span><?= __('pv2_label_hotel_visits_only') ?></span></label>
                        </dt>

                        <dt class="rStyle">
                            <input id="home-visits-2" type="radio" name="outcall_type"
                                   value="<?= AVAILABILITY_OUTCALL_HOME_VISITS ?>"
                                <?= $this->data['outcall_type'] == AVAILABILITY_OUTCALL_HOME_VISITS ? ' checked="checked"' : '' ?>
                                <?= $this->data['outcall_type'] ? '' : ' disabled="disabled"' ?> />
                            <label for="home-visits-2"> <span><?= __('pv2_label_home_visits_only') ?></span></label>
                        </dt>

                        <dt class="rStyle">
                            <input id="hotel-home" type="radio" name="outcall_type"
                                   value="<?= AVAILABILITY_OUTCALL_HOTEL_HOME_VISITS ?>"
                                <?= $this->data['outcall_type'] == AVAILABILITY_OUTCALL_HOTEL_HOME_VISITS ? ' checked="checked"' : '' ?>
                                <?= $this->data['outcall_type'] ? '' : ' disabled="disabled"' ?> />
                            <label for="hotel-home"><span><?= __('pv2_label_hotel_and_home_visits') ?></span></label>
                        </dt>

                        <dt class="rStyle">
                            <input id="outcall-other" type="radio" name="outcall_type"
                                   value="<?= AVAILABILITY_OUTCALL_OTHER ?>"
                                <?= $this->data['outcall_type'] == AVAILABILITY_INCALL_OTHER ? ' checked="checked"' : '' ?>
                                <?= $this->data['outcall_type'] ? '' : ' disabled="disabled"' ?> />
                            <label for="outcall-other"><span><?= __('pv2_label_outcall_other') ?></span></label>

                            <input style="margin: 5px 0 0 25px; width: 80%;" type="text"
                                   class="txt<?= $this->data['outcall_type'] == AVAILABILITY_OUTCALL_OTHER ? '' : ' disabled' ?>"
                                   name="outcall_other" value="<?= $this->data['outcall_other'] ?>"
                                   size="35"<?= $this->data['outcall_type'] == AVAILABILITY_OUTCALL_OTHER ? '' : ' disabled="disabled"' ?> />
                        </dt>
                    </dl>
                </div>
            </div>
            <div class="clear"></div>
        </div>
    </div>


    <?php function hasStatusBit($old_status, $status)
    {
        $result = true;
        $result = ($old_status & $status) && $result;
        return $result;
    } ?>

    <?php $__np_profile = false;
    $__class = ''; ?>
    <?php if (hasStatusBit($this->escort->status, Model_EscortsV2::ESCORT_STATUS_NO_PROFILE) && !$this->user->isAgency()): ?>
        <?php $__np_profile = true;
        $__class = 'no-profile'; ?>
    <?php endif; ?>


        <div id="saveWrapper" class="<?= $__class ?>">
            <input class="to-next" type="button" value="<?= __('mob_go_next') ?>"/>
            <input class="to-prev" type="button" value="<?= __('mob_go_back') ?>"/>
        </div>

        <script>
            $(document).ready(function () {

                <?php foreach( $this->errors as $field => $msgs ): ?>
                $('[name="<?=$field?>"]').addClass('field-error');
                MCubix.Errors.show("<?= addslashes($msgs) ?>", true);
                <?php endforeach; ?>

                $('#base_city').change(function () {
                    changeBaseCity();
                });

                changeBaseCity();

                function changeBaseCity(){
                    var city_id = $('#base_city').val();


                    $('#cities option').each(function () {
                        this.disabled = false;
                        if(this.value == city_id){
                            this.disabled = true;
                        }
                    });

                    $('#locations input').each(function () {
                        if(this.value == city_id){
                            $(this).closest('.location').remove();
                        }
                    })
                }
            });
        </script>

</form>

<script type="text/javascript">
    showcityzones = 0;
    var loadCityzones = function () {
        var cities = $('#locations').find('input[type=hidden]');
        var ajax_cities = '';
        if (cities.length) {
            cities.each(function (it) {
                ajax_cities += ',' + $(this).val();
            });
        }

        $.ajax({
            url: '/private-v2/profile/get-cityzones?ajax_cities=' + ajax_cities + '&ajax=1',
            type: 'POST',
            success: function (data) {
                data = $.parseJSON(data);

                if (!data.length) {

                    showcityzones = 0;
                    $('#cityzones_wrp').css('display', 'none');
                    if ($('#selected-z').length > 0) {
                        $('#selected-z').empty();
                    }
                    if ($('#selected-hidden-z').length > 0) {
                        $('#selected-hidden-z').empty();
                    }

                    return;
                }

                $('#cityzones').empty();
                data.each(function (_it) {
                    var it = $(this);
                    $('<option/>', {
                        value: it.id,
                        html: '[' + it.city_title + ']' + ' ' + it.title
                    }).appendTo($('#cityzones'));
                });

                var selected_zones = $('#selected-hidden-z').find('input');
                selected_zones.each(function (_it) {
                    var it = $(this);
                    var found = false;

                    data.each(function (_all_z) {
                        var all_z = $(this);
                        if (all_z.attr('id') == it.val()) {
                            found = true;
                        }
                    });

                    if (!found) {
                        it.remove();

                        $('#selected-z').find('option[value=' + it.val() + ']').remove();
                    }
                });

                showcityzones = 1;

                if (incallcheckbox == 1) {
                    $('#cityzones_wrp').css('display', 'block');
                } else {
                    if ($('#selected-z').length > 0) {
                        $('#selected-z').empty();
                    }
                    if ($('#selected-hidden-z').length > 0) {
                        $('#selected-hidden-z').empty();
                    }
                    $('#cityzones_wrp').css('display', 'none');

                }

            }
        });
    };

    var max_cities = <?= Cubix_Application::getById()->max_working_cities ?>;
    var cities_remain = max_cities - <?= count($this->data['cities']) ?>;
    var initCityPicker = function () {
        var els = {
            add: $('#add-city'),
            remove: $('#locations .icon-remove'),
            city_id: $('input[name=city_id]'),
            cities: $('#cities'),
            selected: $('#selected')
        };
        //Artash added    //

        var initLocations = function () {

            var city_id = els.cities.val(),
                city_title = els.cities.find(':selected').html();
            if (!city_id) return;

            var found = false;
            $('#locations input[type=hidden]').each(function (_el) {
                var el = $(this);
                var _city_id = el.val();

                if (city_id == _city_id) {
                    found = true;
                    el.val(city_id);
                    el.prev('label').find('span').html(city_title);
                }
            });


            if (!found) {
                var location = $('<div/>', {'class': 'location mb5'}).appendTo($('#locations'));

                $('<a/>', {
                    'class': 'sbtn icon-remove'
                }).appendTo($('<div/>', {
                    'class': 'fleft m0'
                }).appendTo(location)).on('click', remove);

                var label = $('<label/>', {'class': 'fleft cit'}).appendTo(location);

                var span = $('<span/>', {
                    html: city_title
                }).appendTo(label);


                $('<input/>', {
                    type: 'hidden',
                    name: 'cities[]',
                    value: city_id
                }).appendTo(location);

                $('<div/>', {'class': 'clear'}).appendTo(location);

            }

        };
        var clearBaseCity = function () {
            var bc = $('input[name=city_id]');
            bc.off('click');
        };
        var remove = function () {
            if ($(this).closest('.location')) {
                $(this).closest('.location').remove();

                clearBaseCity();
                updateRemainingCities();
                loadCityzones();
            }
        };
        var updateRemainingCities = function () {
            cities_remain = max_cities - $('#locations div.location').length;
            $('#cities-remain').html(cities_remain);
        };
        els.remove.on('click', remove);
        els.add.on('click', function () {
            if (cities_remain == 0) {
                alert('<?= __('pv2_cities_limit_exceeded') ?>');
                return;
            }


            var selected = els.cities.find(':selected');//, in_list = false;

            if (selected.length == 0) {
                return;
            }
            selected = selected[0];
            initLocations();
            clearBaseCity();
            updateRemainingCities();
            loadCityzones();
        });
    };

    initCityPicker();

    $(document).ready(function () {
        initCityzonePicker();
        isActives();
        setErrors();

        $('#incall, #outcall, #hotel-room, dl.options-vertical input[type="radio"]').on('change', function () {
            isActives();
        });
    });

    var setErrors = function () {
        var _errors = jQuery.parseJSON('<?=$_errors?>');
        for (var i in _errors) {
            $('[name="' + i + '"]').addClass('f-error');
        }
    };

    var isActives = function () {
        var incall = $('#incall');
        var outcall = $('#outcall');
        var hotelRoom = $('#hotel-room');
        var incallOther = $('#incall-other');
        var outcallOther = $('#outcall-other');

        var incall_wrapper = incall.closest('.inner');
        if (incall.is(':checked')) {
            incall_wrapper.removeClass('has-disabled-fields').find('input, select').not(incall).prop('disabled', false);
            incall_wrapper.find('.incall_area').css('display','block');
        } else {
            incall_wrapper.addClass('has-disabled-fields').find('input, select').not(incall).prop('disabled', true);
            incall_wrapper.find('.incall_area').css('display','none');
        }

        var outcall_wrapper = outcall.closest('.inner');
        if (outcall.is(':checked')) {
            outcall_wrapper.removeClass('has-disabled-fields').find('input, select').not(outcall).prop('disabled', false);
            outcall_wrapper.find('.outcall_area').css('display','block');
        } else {
            outcall_wrapper.addClass('has-disabled-fields').find('input, select').not(outcall).prop('disabled', true);
            outcall_wrapper.find('.outcall_area').css('display','none');
        }

        var hotel_room_select = hotelRoom.closest('dl.options-vertical').find('.options-vertical');
        if (hotelRoom.is(':checked') && incall.is(':checked')) {
            hotel_room_select.removeClass('has-disabled-fields').find('.incall_hotel_room').prop('disabled', false);
        } else {
            hotel_room_select.addClass('has-disabled-fields').find('.incall_hotel_room').prop('disabled', true);
        }

        var incall_data = incallOther.closest('dt');
        if (incallOther.is(':checked') && incall.is(':checked')) {
            incall_data.removeClass('has-disabled-fields').find('.txt').prop('disabled', false);
        } else {
            incall_data.addClass('has-disabled-fields').find('.txt').prop('disabled', true);
        }

        var outcall_data = outcallOther.closest('dt');
        if (outcallOther.is(':checked') && outcall.is(':checked')) {
            outcall_data.removeClass('has-disabled-fields').find('.txt').prop('disabled', false);
        } else {
            outcall_data.addClass('has-disabled-fields').find('.txt').prop('disabled', true);
        }
    };

    var initCityzonePicker = function () {
        var els = {
            add: $('#add-cityzone'),
            remove: $('.remove-cityzone'),

            cities: $('#cityzones'),
            selected: $('#selected-z'),
            hidden: $('#selected-hidden-z')
        };

        els.add.on('click', function () {
            var selected = els.cities.find(':selected'), in_list = false;

            if ($('#onlyOneMessage')) {
                $('#onlyOneMessage').remove();
            }

            if (selected.length == 0) {
                return;
            }

            if (els.selected.find('.ct-selected').length > 1) {
                var onlyOneMessage = $('<div/>', {id: 'onlyOneMessage', class: 'red'});
                onlyOneMessage.text('Only 2 Cityzone can be added!');
                onlyOneMessage.css('color', '#FF0000');
                onlyOneMessage.css('margin', '5px 0');
                onlyOneMessage.appendTo($('#ctz-err'), 'top');
                return;
            }

            selected = selected[0];

            els.selected.find('span.remove-cityzone').each(function (_it) {
                var it = $(this);
                if (it.attr('rel') == selected.val()) {
                    in_list = true;
                }
            });

            if (in_list) return;

            var base = false;

            if (els.selected.find('option').length == 0) {
                base = true;
            }


            var rm_ctzone = $('<div/>', {
                'class': 'rm-ctzone'
            }).appendTo(els.selected);

            $('<input/>', {
                type: 'hidden',
                name: 'cityzones[]',
                value: selected.val(),
                'class': 'hidden'
            }).appendTo(els.hidden);

            $('<span/>', {
                'class': 'remove-cityzone',
                rel: selected.val(),
                html: ''
            }).appendTo(rm_ctzone).on('click', function () {
                removeItem($(this));
            });

            $('<span/>', {
                html: selected.html(),
                'class': 'ct-selected'
            }).appendTo(rm_ctzone);
        });

        els.remove.on('click', function () {
            removeItem($(this));
        });
    };

    var removeItem = function (item) {
        var self = item;

        if ($('#onlyOneMessage')) {
            $('#onlyOneMessage').remove();
        }

        $('#selected-hidden-z').find('input').each(function (_it) {
            var it = $(this);

            if (it.val() == self.attr('rel')) {
                it.remove();
            }
        });

        self.next('span').remove();
        self.remove();
    };

    var incallcheckbox = 0,
        outcallcheckbox = 0;
    <?php if($this->data['incall_type']){
    ?>
    incallcheckbox = 1;
    <?php
    }
    ?>

    var handleIncall = function (el) {
        el.blur();
        var disable = el.find(':checked') ? null : 'disabled';
        if (el.find(':checked')) {
            incallcheckbox = 1;
            loadCityzones();
        } else {
            incallcheckbox = 0;
            loadCityzones();
            if ($('#onlyOneMessage')) {
                $('#onlyOneMessage').remove();
            }
        }

        $(el).closest('.inner').find('input').each(function (_it) {
            var it = $(this);
            if (it.attr('id') == 'incall') return;
            it.prop('disabled', disable);
            if (disable) it.addClass('disabled');
            else it.removeClass('disabled');
        });

        disable = $('#hotel-room').find(':checked') ? ( $('#incall').find(':checked') ? null : 'disabled' ) : 'disabled';
        $('#hotel-room').closest('dt').next('dl').find('input').prop('disabled', disable);

        disable = $('#incall-other').find(':checked') && el.find(':checked') ? null : 'disabled';
        $('#incall-other').closest('label').next('input').prop('disabled', disable)[(disable ? 'add' : 'remove') + 'Class']('disabled');
    };

    $('#incall').closest('.inner').find('input').each(function (_el) {
        var el = $(this);

        if (jQuery.inArray(el.attr('type'), ['checkbox', 'radio']) == -1) return;

        el.on('change', handleIncall($('#incall')));
    });

    var handleOutcall = function (el) {
        el.blur();
        var disable = el.find(':checked') ? null : 'disabled';

        if (el.find(':checked')) {
            outcallcheckbox = 1;
        } else {
            outcallcheckbox = 0;
        }

        $(el).closest('.inner').find('input').each(function (_it) {
            var it = $(this);
            if (it.attr('id') == 'outcall') return;
            it.prop('disabled', disable);
            if (disable) it.addClass('disabled');
            else it.removeClass('disabled');
        });

        disable = $('#outcall-other').find(':checked') && el.find(':checked') ? null : 'disabled';
        $('#outcall-other').closest('label').next('input').prop('disabled', disable)[(disable ? 'add' : 'remove') + 'Class']('disabled');
    };

    $('#outcall').closest('.inner').find('input').each(function (_el) {
        var el = $(this);

        if (jQuery.inArray(el.attr('type'), ['checkbox', 'radio']) == -1) return;

        el.on('change', handleOutcall($('#outcall')));
    });
</script>
